summaryrefslogtreecommitdiff
path: root/tests/drm_lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/drm_lib.sh')
-rwxr-xr-xtests/drm_lib.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/drm_lib.sh b/tests/drm_lib.sh
new file mode 100755
index 00000000..a76fd474
--- /dev/null
+++ b/tests/drm_lib.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+die() {
+ echo "$@"
+ exit 1
+}
+
+if [ -d /debug/dri ] ; then
+ debugfs_path=/debug/dri
+fi
+
+if [ -d /sys/kernel/debug/dri ] ; then
+ debugfs_path=/sys/kernel/debug/dri
+fi
+
+i915_path=x
+for dir in `ls $debugfs_path` ; do
+ if [ -f $debugfs_path/$dir/i915_error_state ] ; then
+ i915_path=$debugfs_path/$dir
+ break
+ fi
+done
+
+if [ $i915_path = "x" ] ; then
+ die " i915 debugfs path not found."
+fi
+
+# read everything we can
+if [ `cat $i915_path/clients | wc -l` -gt "2" ] ; then
+ die "ERROR: other drm clients running"
+fi
+
+